## steptalk 0.8.0-2

=== debian/changelog ===
steptalk (0.8.0-2) unstable; urgency=low

  * Correct build dependency on gnustep-gui0-dev (Closes:#235020)
  * Remove useless calls to ldconfig from postinst.

 -- Brent A. Fulgham <bfulgham@debian.org>  Thu, 26 Feb 2004 22:22:39 -0800

steptalk (0.8.0-1) unstable; urgency=low

  * Initial release.

 -- Brent A. Fulgham <bfulgham@debian.org>  Fri, 13 Feb 2004 22:44:17 -0800
