=== debian/control ===
Source: steptalk
Priority: optional
Maintainer: Brent A. Fulgham <bfulgham@debian.org>
Build-Depends: debhelper (>= 4.0.0), gnustep-base1-dev (>= 1.5.0-1), libncurses5-dev, gnustep-gui0-dev
Standards-Version: 3.6.1
 
Package: steptalk
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: The GNUstep Scripting Framework
 StepTalk is a scripting framework for creating scriptable servers or
 applications.  StepTalk, when combined with the dynamism of the Objective-C
 language, goes way beyond mere scripting.
