## steptalk 0.10.0

=== debian/changelog ===
steptalk (0.10.0-6) unstable; urgency=medium

  * debian/source/format: Switch to 3.0 (quilt).
  * debian/control (Build-Depends): Remove quilt.
    (steptalk): Tighten depends on libsteptalk0.
    (libsteptalk0): Add apropriate Replaces/Breaks.
    (libsteptalk-dev): Remove obsolete Replaces field.
    (Vcs-Git, Vcs-Browser): Use canonical URIs.
    (Standards-Version): Bump to 3.9.5 (no changes needed).
  * debian/rules: Don't include patchsys-quilt.mk.  Enable hardening.
    (gs-pre-install/StepTalk): New rule; install the bundles and modules
    in the shared library; they're loaded via NSBundle methods and are
    actually required.
  * debian/README.source: Delete.
  * debian/patches/NSInteger-transition.patch: New, assembled from the
    upstream repo (Closes: #749791).
  * debian/patches/series: Update.
  * debian/steptalk.install: Remove stuff moved to the library.
  * debian/copyright: Switch to format 1.0.

 -- Yavor Doganov <yavor@gnu.org>  Fri, 13 Jun 2014 17:45:35 +0300

steptalk (0.10.0-5) unstable; urgency=low

  * debian/patches/compilation-errors.patch: New; adjust to the modern
    Objective-C runtime and gnustep-gui/0.20 (Closes: #629424).
  * debian/patches/compilation-warnings.patch: Fix a few more warnings.
  * debian/patches/series: Update.
  * debian/control (Vcs-Arch): Replace with...
    (Vcs-Git, Vcs-Browser): ...as tla-buildpackage is gone.
    (Standards-Version): Bump to 3.9.2; no changes needed.
    (Description): Remove definite article to placate lintian.

 -- Yavor Doganov <yavor@gnu.org>  Mon, 10 Oct 2011 19:20:32 +0300

steptalk (0.10.0-4) unstable; urgency=low

  * debian/rules (OPTFLAG): No longer define; rework noopt handling to be
    compatible with gnustep-make/2.4.x (Closes: #583102).
  * debian/patches/link-libs.patch: Fix the GDL2 bundle to link against
    the right gnustep-dl2 libs; the names were changed eons ago.  This
    fixes FTBFS with libgnustep-dl2-dev installed and enables GDL2 support
    in StepTalk (Closes: #583100).
  * debian/control (Build-Depends): Add libgnustep-dl2-dev.

 -- Yavor Doganov <yavor@gnu.org>  Mon, 07 Jun 2010 15:46:40 +0300

steptalk (0.10.0-3) unstable; urgency=low

  * debian/control (Maintainer, Uploaders): Take under the umbrella of the
    GNUstep team.
    (Section): Change to `gnustep'.
    (Build-Depends): Bump debhelper to >= 7.  Add quilt.  Remove
    libreadline5-dev (Closes: #553859) and libncurses5-dev.
    (Standards-Version): Claim compliance with 3.8.4 as of this release.
    (Homepage, Vcs-Arch): New fields.
    (libsteptalk0, libsteptalk-dev): New packages.
    (Depends): Add ${gnustep:Depends}.
  * debian/compat: Set to 7.
  * debian/rules: Rework for the split library.  Include
    patchsys-quilt.mk.  Don't build and install Server.
    (OPTFLAG, LDFLAGS, messages): Define and use.
  * debian/steptalk.dirs: Delete.
  * debian/watch:
  * debian/README.source:
  * debian/source/format:
  * debian/patches/series:
  * debian/stenvironment.1:
  * debian/steptalk.install: New file.
  * debian/stupdate_languages.7: Delete, the tool was removed upstream.
  * debian/steptalk.manpages: Update.
  * debian/steptalk.doc-base: Fix Section and typo in the Abstract field.
  * debian/patches/bundles-installdir.patch:
  * debian/patches/NSDataLinkFileNameExtension.patch: New; split from the
    .diff.gz.
  * debian/patches/compilation-warnings.patch: New.
  * debian/patches/link-libs.patch: New; link with all necessary
    libraries.
  * debian/copyright: Add copyright years/holders; mention that some
    tools/bundles are under GPLv2+.  Include the blurb of LGPLv2.1+ as
    that's what COPYING.LIB contains.

 -- Yavor Doganov <yavor@gnu.org>  Sat, 15 May 2010 08:29:11 +0300

steptalk (0.10.0-2) unstable; urgency=low

  * Rebuild against new GNUstep libraries.
  * Use cdbs-based debian/rules file.

 -- Hubert Chathi <uhoreg@debian.org>  Fri,  5 Oct 2007 16:11:12 -0400

steptalk (0.10.0-1) unstable; urgency=low

  [Hubert Chan]
  * New maintainer. (Closes: #398105)
  * Does not build against gnustep-dl2. (Closes: #327833)
  * Use debhelper more in debian/rules.
  * Fix copyright file.
  * Add missing section to control file.
  * Install doc-base properly.
  * Fix compilation of Shell example.
  * Comment out NSDataLinkFileNameExtension from AppKit module, since it was
    removed from GNUstep.
  * Miscelaneous cleanups.

  [Gürkan Sengün]
  * New upstream version. Acknowledge NMU.
  * Rebuild against latest libgnustep-gui. Acknowledge NMU.
    (Closes: #379653)
  * Bumped standards version (no changes needed).
  * Bumped DH compat level to 5.
  * Update download site.
  * Removed libgnustep-base from debian/control.

 -- Hubert Chan <uhoreg@debian.org>  Mon, 14 May 2007 17:54:17 -0400

steptalk (0.8.2-5.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control Build-Depends:
    - Changed from libgnustep-base1.11-dev to libgnustep-base-dev
      (Closes: #392376)
    - Changed from libgnustep-gui0.10-dev to libgnustep-gui-dev

 -- Adriaan Peeters <apeeters@lashout.net>  Wed, 11 Oct 2006 10:00:25 +0200

steptalk (0.8.2-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control Build-Depends:
    - Changed from libgnustep-base1.10-dev to libgnustep-base1.11-dev
      (Closes: #373110)
    - Changed from libreadline4-dev to libreadline5-dev | libreadline-dev
      (Closes: #326295)
    - Changed from libgnustep-gui0.9-dev to libgnustep-gui0.10-dev
      (Closes: #379331)
  * Bumped Standards-Version to 3.7.2, no changes needed.
  * Patch ApplicationScripting/Source/STApplicationScriptingController.m:
    NSUnknownKeyException -> NSUndefinedKeyException, Thanks to
    Stefan Potyra <sistpoty@ubuntu.com> (Closes: #379334).

 -- Adriaan Peeters <apeeters@lashout.net>  Fri, 21 Jul 2006 11:47:00 +0200 

steptalk (0.8.2-5) unstable; urgency=low

  * Recompile for new gnustep requirements.

 -- Brent A. Fulgham <bfulgham@debian.org>  Tue, 14 Dec 2004 22:06:07 -0800


