=== debian/control ===
Source: steptalk
Section: gnustep
Priority: optional
Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
Uploaders: Yavor Doganov <yavor@gnu.org>
Build-Depends: cdbs,
	       debhelper (>= 7),
	       libreadline-dev,
	       libgnustep-gui-dev,
	       libgnustep-dl2-dev
Standards-Version: 3.9.5
Homepage: http://www.gnustep.org/experience/StepTalk.html
Vcs-Git: git://anonscm.debian.org/pkg-gnustep/steptalk.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gnustep/steptalk.git
 
Package: steptalk
Architecture: any
Depends: libsteptalk0 (= ${binary:Version}),
	 ${shlibs:Depends},
	 ${gnustep:Depends},
	 ${misc:Depends}
Description: GNUstep Scripting Framework
 StepTalk is a scripting framework for creating scriptable servers or
 applications.  StepTalk, when combined with the dynamism of the Objective-C
 language, goes way beyond mere scripting.
 .
 This package contains the StepTalk tools, documentation and examples.

Package: libsteptalk0
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
	 ${gnustep:Depends},
	 ${misc:Depends}
Replaces: steptalk (<< 0.10.0-6)
Breaks: steptalk (<< 0.10.0-6)
Description: GNUstep Scripting Framework (library files)
 StepTalk is a scripting framework for creating scriptable servers or
 applications.  StepTalk, when combined with the dynamism of the Objective-C
 language, goes way beyond mere scripting.
 .
 This package contains the shared library.

Package: libsteptalk-dev
Section: libdevel
Architecture: any
Depends: libsteptalk0 (= ${binary:Version}),
	 libgnustep-base-dev,
	 ${gnustep:Depends},
	 ${misc:Depends}
Description: GNUstep Scripting Framework (development files)
 StepTalk is a scripting framework for creating scriptable servers or
 applications.  StepTalk, when combined with the dynamism of the Objective-C
 language, goes way beyond mere scripting.
 .
 This package contains the development files and headers.
