## steptalk 0.10.0+git20200629

=== debian/changelog ===
steptalk (0.10.0+git20200629-3) unstable; urgency=medium

  * debian/control (Build-Depends): Require libsqlclient-dev (>= 1.9.0-4),
    libgnustep-dl2-dev (>= 0.12.0+git20171224-4) and libgnustep-gui-dev
    (>= 0.31.1-7) for the multiarch layout.  Drop gnustep-make; implied.
    (libsteptalk0d, lipsteptalk-dev, steptalk-gui-module)
    (steptalk-gdl2-module, steptalk-sqlclient-module): Mark as M-A: same.
  * debian/libsteptalk-dev.install: Update for multiarch.
  * debian/libsteptalk0d.install: Likewise.
  * debian/steptalk-gdl2-module.install: Likewise.
  * debian/steptalk-gui-module.install: Likewise.
  * debian/stepatalk-sqlclient-module.install: Likewise.
  * debian/rules (override_dh_auto_test): Don't hard code GNUSTEP_LIBRARY.
  * debian/tests/scripts: Update for multiarch (Closes: #1094006).  Build
    with hardening flags to fix a blhc error; add support for "terse".
  * debian/upstream/metadata: New file.
  * debian/copyright: Add Upstream-Contact; update copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 04 Feb 2025 23:46:10 +0200

steptalk (0.10.0+git20200629-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/gbp.conf: Delete.
  * debian/control (Build-Depends-Indep): Annotate with <!nodoc>.
    (Build-Depends): Add gnustep-make (>= 2.9.2-2) for new dh_gnustep.
  * debian/rules (override_dh_link): Rename as...
    (execute_before_dh_link): ...and pass --bug-script to gsdh_gnustep for
    the steptalk-gui-module package.
  * debian/watch: Remove opts; no longer applicable.
  * debian/copyright: Add new entry for Languages/SmallTalk/STGrammar.m
    which is under GPL-2+ with Bison exception.

 -- Yavor Doganov <yavor@gnu.org>  Wed, 10 Jul 2024 11:39:00 +0300

steptalk (0.10.0+git20200629-1) experimental; urgency=medium

  * New upstream snapshot.
  * debian/gbp.conf: New file.
  * Run wrap-and-sort -ast.
  * debian/patches/link-libs.patch: Remove hunks applied upstream; fix
    some new issues; refresh.
  * debian/patches/compilation-warnings.patch: Delete; fixed upstream.
  * debian/patches/compilation-errors.patch: Likewise.
  * debian/patches/bundles-installdir.patch: Likewise.
  * debian/patches/NSDataLinkFileNameExtension.patch: Likewise.
  * debian/patches/NSInteger-transition.patch: Likewise.
  * debian/patches/apidoc.patch: New; fix some autogsdoc issues and
    install in the standard location (/usr/share/GNUstep/Documentation).
    This makes cross-document links work and avoids compressing of long
    .gsdoc files by dh_installdocs.
  * debian/patches/tests.patch: New; fix some issues with two tests.
  * debian/control (Build-Depends): Bump libgnustep-dl2-dev dependency to
    (>= 0.12.0+git20171224) for the gnustep-dl2 transition.  Remove cdbs
    and switch to the debhelper-compat mechanism, setting level to 13.
    Add libsqlclient-dev for the SQLClient module.
    (Build-Depends-Indep): Add gnustep-base-doc for cross-document links.
    (Depends): Remove ${gnustep:Depends}; obsolete.
    (steptalk) <Recommends>: Add steptalk-doc.
    <Description>: Adjust accordingly; it contains only the tools now.
    (libsteptalk0): Rename package to...
    (libsteptalk0d): ...following unavoidable ABI break.
    <Recommends>: Add steptalk-gui-module.  The AppKit module is optional
    and enabled by default so it fits here perfectly.
    <Suggests>: Add steptalk-gdl2-module and steptalk-sqlclient-module.
    (steptalk-doc): New package; move documentation and examples here.
    (steptalk-gui-module): New package, move GUI stuff here.
    (steptalk-gdl2-modile): Likewise, move the GDL2 bundle into a separate
    package thus finally fixing #327833 (reported by upstream).
    (steptalk-sqlclient-module): Likewise, add new SQLClient module.
    (Homepage): Use new "wwwmain" address as redirect is not working.
    (Vcs-Git, Vcs-Browser): Point to Salsa.
    (Rules-Requires-Root): Set to "no".
    (Standards-Version): Claim compliance with 4.7.0 as of this release.
  * debian/rules: Rewrite from scratch for dh.
  * debian/compat: Delete.
  * debian/libsteptalk-dev.install: New file.
  * debian/libsteptalk0d.install: Likewise.
  * debian/steptalk-doc.install.in: Likewise.
  * debian/steptalk-gui-module.install: Likewise.
  * debian/steptalk-gdl2-module.install: Likewise.
  * debian/steptalk-sqlclient-module.install: Likewise.
  * debian/steptalk.links: Rename as...
  * debian/steptalk-doc.links.in: ...and replace existing link by a new
    one pointing from $GNUSTEP_SYSTEM_DOC to /usr/share/doc.
  * debian/steptalk.docs: Rename as...
  * debian/steptalk-doc.docs: ...and omit prebuilt documentation.
  * debian/steptalk.doc-base: Rename as...
  * debian/steptalk-doc.doc-base: ...and point to /usr/share/doc for
    lintian's sake.  Adjust Index and Files.
  * debian/steptalk.examples: Rename as...
  * debian/steptalk-doc.examples: ...and add stshell source code.
  * debian/changelog: Whitespace cleanup.
  * debian/tests/control: New file.
  * debian/tests/scripts: Likewise.  Execute all available test scripts as
    autopkgtest and in the override_dh_auto_test target.
  * debian/watch: Switch to version 4 and use HTTPS protocol.
  * debian/libsteptalk0d.lintian-overrides: New file; override
    library-not-linked-against-libc (false positive for GNUstep bundles).
  * debian/steptalk-gui-module.lintian-overrides: Likewise.
  * debian/steptalk-gdl2-module.lintian-overrides: Likewise.
  * debian/steptalk-sqlclient-module.lintian-overrides: Likewise.
  * debian/copyright: Use HTTPS protocol for Format and Source; update
    copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Mon, 01 Jul 2024 21:30:26 +0300
