=== debian/watch ===
version=4
https://ftp.gnustep.org/pub/gnustep/libs/StepTalk-(.*).tar.gz
